Skip to main content
GET
/
settings
cURL
curl https://api.growthbook.io/api/v1/settings \
  -u secret_abc123DEF456:
{
  "settings": {
    "confidenceLevel": 123,
    "northStar": {
      "title": "<string>",
      "metricIds": [
        "<string>"
      ]
    },
    "metricDefaults": {
      "priorSettings": {
        "override": true,
        "proper": true,
        "mean": 123,
        "stddev": 123
      },
      "minimumSampleSize": 123,
      "maxPercentageChange": 123,
      "minPercentageChange": 123,
      "targetMDE": 123
    },
    "pastExperimentsMinLength": 123,
    "metricAnalysisDays": 123,
    "updateSchedule": {
      "type": "cron",
      "cron": "<string>",
      "hours": 123
    },
    "multipleExposureMinPercent": 123,
    "defaultRole": {
      "role": "<string>",
      "limitAccessByEnvironment": true,
      "environments": [
        "<string>"
      ]
    },
    "statsEngine": "<string>",
    "pValueThreshold": 123,
    "regressionAdjustmentEnabled": true,
    "regressionAdjustmentDays": 123,
    "sequentialTestingEnabled": true,
    "sequentialTestingTuningParameter": 123,
    "attributionModel": "firstExposure",
    "targetMDE": 123,
    "delayHours": 123,
    "windowType": "<string>",
    "windowHours": 123,
    "winRisk": 123,
    "loseRisk": 123,
    "secureAttributeSalt": "<string>",
    "killswitchConfirmation": true,
    "requireReviews": [
      {
        "requireReviewOn": true,
        "resetReviewOnChange": true,
        "environments": [
          "<string>"
        ],
        "projects": [
          "<string>"
        ],
        "featureRequireEnvironmentReview": true,
        "featureRequireMetadataReview": true
      }
    ],
    "featureKeyExample": "<string>",
    "featureRegexValidator": "<string>",
    "banditScheduleValue": 123,
    "banditScheduleUnit": "hours",
    "banditBurnInValue": 123,
    "banditBurnInUnit": "hours",
    "experimentMinLengthDays": 123,
    "featureKillSwitchBehavior": "off",
    "restApiBypassesReviews": true,
    "experimentMaxLengthDays": 123,
    "preferredEnvironment": "<string>",
    "maxMetricSliceLevels": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Response

200 - application/json

Success

settings
object
required